Bug 458161 - Please rebuild R-hdf5 for hdf5-1.8.1
Summary: Please rebuild R-hdf5 for hdf5-1.8.1
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: R-hdf5
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-06 19:44 UTC by Ben Webb
Modified: 2008-09-10 07:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 529231 (view as bug list)
Environment:
Last Closed: 2008-09-10 07:01:47 UTC


Attachments (Terms of Use)

Description Ben Webb 2008-08-06 19:44:08 UTC
Description of problem:
The R-hdf5 library is currently unusable, since it is built against hdf5-1.8.0 headers and the current HDF5 library is 1.8.1. HDF5 applications require that the headers and the library are at the same point release. Perhaps the R-hdf5 specfile needs to Requires: a specific release of the hdf5 package to catch this problem in future.

Version-Release number of selected component (if applicable):
R-hdf5-1.6.6-4.fc9.i386
hdf5-1.8.1-1.fc9.i386

How reproducible:
Always.

Steps to Reproduce:
1. Start up R.
2. Run the following:
> library('hdf5')
> hdf5save(fileout='ex.hdf5')
  
Actual results:
The HDF5 library reports the following, which crashes R:

Warning! ***HDF5 library version mismatched error***
The HDF5 header files used to compile this application do not match
the version used by the HDF5 library to which this application is linked.
Data corruption or segmentation faults may occur if the application continues.
You should recompile the application or check your shared library related
settings such as 'LD_LIBRARY_PATH'.
You can, at your own risk, disable this warning by setting the environment
variable 'HDF5_DISABLE_VERSION_CHECK' to a value of '1'.
Setting it to 2 will suppress the warning messages totally.
Headers are 1.8.0, library is 1.8.1
Bye...
Aborted


Expected results:
HDF5 file ex.hdf5 is produced.

Comment 1 Fedora Update System 2008-08-25 21:24:00 UTC
R-hdf5-1.6.7-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/R-hdf5-1.6.7-1.fc9

Comment 2 Tom "spot" Callaway 2008-08-25 21:25:10 UTC
This is fixed with the above update. I also hardcoded a versioned requires for hdf5. Thanks for the report.

Comment 3 Fedora Update System 2008-09-10 07:01:45 UTC
R-hdf5-1.6.7-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.